---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/issues/get-issue.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Getting issue parameters

Use this request to get information about an issue.

<div class="request_example method_get yfm-clipboard">
    <p>GET</p>
    <pre><code>https://api.tracker.yandex.net/v3/issues/&lt;issue_ID></code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->


## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To get issues, use an HTTP `GET` request:

```json
GET /v3/issues/<issue_ID>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

<!-- source: en/_includes/api/resource-issue-id.md -->
{% cut "Resource" %}

| Parameter | Description | Data type |
-------- | -------- | ----------
| \<issue_key_or_ID\> | ID or key of the current issue. | String |

{% endcut %}
<!-- endsource: en/_includes/api/resource-issue-id.md -->

{% cut "Request parameters" %}

**Additional parameters**

#|
|| Parameter | Description | Data type ||
|| fields | Issue fields to include in the response. Use this parameter to get only the necessary fields and reduce the size of the response.

List field names separated by commas, for example: `fields=status,assignee,summary`.
If you don't specify this parameter, the response includes all the basic fields (except for those you can add using the `expand` parameter). | String ||
|| expand | Additional fields to include in the response:
* `links`: Linked issues;
* `comments`: Issue comments;
* `transitions`: Available transitions to other statuses;
* `attachments`: Attached files. | String ||
|#

{% endcut %}

> Request for a single issue with the required fields specified:
>
> - An HTTP GET method is used.
> - The response will display attached files.
>
> ```
> GET https://api.tracker.yandex.net/v3/issues/JUNE-3?expand=attachments
> ```

> Request for an issue with field filtering:
>
> - An HTTP GET method is used.
> - The response will only include the `status`, `assignee`, and `summary` fields.
>
> ```
> GET https://api.tracker.yandex.net/v3/issues/JUNE-3?fields=status,assignee,summary
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    The response body contains the results in JSON format.

    {% include [answer-issue](../../_includes/api/answer-issue.md) %}

- Request failed

    If the request is processed incorrectly, the API returns a response with an error code:

    <!-- source: en/_includes/api/answer-error-401.md -->
    401
    :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.com.tr/support/tracker/en/api-ref/access.md) section are performed.
    <!-- endsource: en/_includes/api/answer-error-401.md -->

    <!-- source: en/_includes/api/answer-error-403.md -->
    403
    :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
    <!-- endsource: en/_includes/api/answer-error-403.md -->

    <!-- source: en/_includes/api/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/_includes/api/answer-error-404.md -->

{% endlist %}
{% included (../../_includes/api/answer-issue.md) %}
```json
[
    {
    "self": "https://api.tracker.yandex.net/v3/issues/TREK-9844",
    "id": "593cd211ef7e8a33********",
    "key": "TREK-9844",
    "version": 7,
    "lastCommentUpdatedAt": "2017-07-18T13:33:44.291+0000",
    "summary": "subtask",
    "parent": {
        "self": "https://api.tracker.yandex.net/v3/issues/JUNE-2",
        "id": "593cd0acef7e8a33********",
        "key": "JUNE-2",
        "display": "Task"
        },
    "aliases": [
            "JUNE-3"
        ],

    "updatedBy": {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "Ivan Ivanov"
        },
    "description": "<#<html><head></head><body><div>test</div><div> </div><div> </div> </body></html>#>",
    "sprint": [
            {
        "self": "https://api.tracker.yandex.net/v3/sprints/53**",
        "id": "53**",
        "display": "sprint1"
            }
        ],
    "type": {
        "self": "https://api.tracker.yandex.net/v3/issuetypes/2",
        "id": "2",
        "key": "task",
        "display": "Issue"
        },
    "priority": {
        "self": "https://api.tracker.yandex.net/v3/priorities/2",
        "id": "2",
        "key": "normal",
        "display": "Normal"
        },

    "createdAt": "2017-06-11T05:16:01.339+0000",
    "followers": [
        {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "Ivan Ivanov"
        }
        ],
    "createdBy": {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "Ivan Ivanov"
        },
    "votes": 0,
    "assignee": {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "Ivan Ivanov"
        },
    "project": {
        "primary": {
            "self": "https://api.tracker.yandex.net/v3/projects/1",
            "id": "1",
            "display": "Startrek project"
        },
        "secondary": []
    },
    "queue": {
        "self": "https://api.tracker.yandex.net/v3/queues/TREK",
        "id": "111",
        "key": "TREK",
        "display": "Startrek"
        },
    "updatedAt": "2017-07-18T13:33:44.291+0000",
    "status": {
        "self": "https://api.tracker.yandex.net/v3/statuses/1",
        "id": "1",
        "key": "open",
        "display": "Open"
        },
    "previousStatus": {
        "self": "https://api.tracker.yandex.net/v3/statuses/2",
        "id": "2",
        "key": "resolved",
        "display": "Resolved"
        },
    "favorite": false
    },
    {...}
]
```

{% cut "Response parameters" %}

   <!-- source: en/_includes/api/issue-response-fields-note.md -->
   {% note info "" %}

   The table lists the main response fields. For a full list of fields and their descriptions, see [Response parameters](https://yandex.com.tr/support/tracker/en/api-ref/issues/response-fields.md).

   The response may also include global user fields and local queue fields.

   {% endnote %}
   <!-- endsource: en/_includes/api/issue-response-fields-note.md -->

   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the issue | String |
   | id | Issue ID | String |
   | key | Issue key | String |
   | version | Issue version. Changing issue parameters increases the issue's version number. <br>Issue edits will be disabled if the version number reaches the threshold value of `10100` (for robots) or `11100` (for users) | Number |
   | lastCommentUpdatedAt | Date and time when the last comment was added | String |
   | summary | Issue name | String |
   | [parent](#parent) | Object with information about the parent issue | Map object |
   | aliases | Array with information about alternative issue keys | Array of strings |
   | [updatedBy](#updated-by) | Object with information about the employee who edited the issue last | Map object |
   | description | Problem description | String |
   | [sprint](#sprint) | Array of objects with information about the sprint | Array of objects |
   | [type](#type) | Object with information about the issue type | Map object |
   | [priority](#priority) | Object with information about the priority | Map object |
   | createdAt | Issue creation date and time | String |
   | [followers](#followers) | Array of objects with information about issue followers | Array of objects |
   | [createdBy](#created-by) | Object with information about the user who created the issue | Map object |
   | votes | Number of votes for the issue | Number |
   | [assignee](#assignee) | Object with information about the issue's assignee | Map object |
   | [project](#project) | Object with information about the issue project | Map object |
   | [queue](#queue) | Object with information about the issue queue | Map object |
   | updatedAt | Date and time when the issue was last updated | String |
   | [status](#status) | Object with information about the issue status | Map object |
   | [previousStatus](#previous-status) | Object with information about the previous status of the issue | Map object |
   | favorite | Favorite issue flag:<ul><li>`true`: Issue added to favorites by the user.</li><li>`false`: Issue not added to favorites</li></ul> | Boolean |
   | tags | Issue tags | Array of strings |

   `parent` **object fields** {#parent}

   <!-- source: en/_includes/api/issue.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the issue. | String |
   | id | Issue ID. | String |
   | key | Issue key. | String |
   | display | Issue name displayed. | String |
   <!-- endsource: en/_includes/api/issue.md -->

   `updatedBy` **object fields** {#updated-by}

   <!-- source: en/_includes/api/user.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the user | String |
   | id | User ID. | String |
   | display | Displayed user name | String |
   | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
   | cloudUid | Unique user ID in Yandex Cloud Organization | String |
   <!-- endsource: en/_includes/api/user.md -->

   <!-- source: en/_includes/api/sprint.md -->
   `Sprint` **array object fields** {#sprint}

   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the sprint. | String |
   | id | Sprint ID. | String |
   | display | Sprint name displayed. | String |
   <!-- endsource: en/_includes/api/sprint.md -->

   <!-- source: en/_includes/api/type.md -->
   `type` **object fields** {#type}

   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the issue type. | String |
   | id | Issue type ID | String |
   | key | Issue type key. | String |
   | display | Issue type name displayed. | String |
   <!-- endsource: en/_includes/api/type.md -->

   <!-- source: en/_includes/api/priority.md -->
   `priority` **object fields** {#priority}

   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the priority. | String |
   | id | Priority ID | String |
   | key | Priority key. | String |
   | display | Priority name displayed. | String |
   <!-- endsource: en/_includes/api/priority.md -->

   `followers` **array object fields** {#followers}

   <!-- source: en/_includes/api/user.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the user | String |
   | id | User ID. | String |
   | display | Displayed user name | String |
   | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
   | cloudUid | Unique user ID in Yandex Cloud Organization | String |
   <!-- endsource: en/_includes/api/user.md -->

   `createdBy` **object fields** {#created-by}

   <!-- source: en/_includes/api/user.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the user | String |
   | id | User ID. | String |
   | display | Displayed user name | String |
   | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
   | cloudUid | Unique user ID in Yandex Cloud Organization | String |
   <!-- endsource: en/_includes/api/user.md -->

   `assignee` **object fields** {#assignee}

   <!-- source: en/_includes/api/user.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the user | String |
   | id | User ID. | String |
   | display | Displayed user name | String |
   | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
   | cloudUid | Unique user ID in Yandex Cloud Organization | String |
   <!-- endsource: en/_includes/api/user.md -->

   `project` **object fields** {#project}

   <!-- source: en/_includes/api/project.md -->
   | Parameter | Description | Data type |
   -------- | -------- | ----------
   | [primary](#project-id) | Main issue project | Object |
   | [secondary](#project-id) | List of additional issue projects | Array of objects |

   {% note info "" %}

   If the request address specifies API `v2`, the `project` object contains information only about the main project.

   {% endnote %}
   <!-- endsource: en/_includes/api/project.md -->

   **Fields of the object that contains project data** {#project-id}

   The `primary` and `secondary` parameters contain objects with the following fields:

   <!-- source: en/_includes/api/project.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the project | String |
   | id | Project ID | String |
   | display | Project name displayed | String |
   <!-- endsource: en/_includes/api/project.md -->


   `queue` **object fields** {#queue}

   <!-- source: en/_includes/api/queue.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the queue. | String |
   | id | Queue ID. | String |
   | key | Queue key. | String |
   | display | Queue name displayed. | String |
   <!-- endsource: en/_includes/api/queue.md -->

   `status` **object fields** {#status}

   <!-- source: en/_includes/api/status.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the status. | String |
   | id | Status ID. | String |
   | key | Status key. | String |
   | display | Status name displayed. | String |
   <!-- endsource: en/_includes/api/status.md -->

   `previousStatus` **object fields** {#previous-status}

   <!-- source: en/_includes/api/status.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the status. | String |
   | id | Status ID. | String |
   | key | Status key. | String |
   | display | Status name displayed. | String |
   <!-- endsource: en/_includes/api/status.md -->

{% endcut %}
```
{% endincluded %}
{% included (../../_includes/api/answer-issue.md:../../_includes/api/issue-response-fields-note.md) %}
{% note info "" %}

The table lists the main response fields. For a full list of fields and their descriptions, see [Response parameters](../../api-ref/issues/response-fields.md).

The response may also include global user fields and local queue fields.

{% endnote %}
{% endincluded %}
{% included (../../_includes/api/answer-issue.md:../../_includes/api/issue.md) %}
| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the issue. | String |
| id | Issue ID. | String |
| key | Issue key. | String |
| display | Issue name displayed. | String |
{% endincluded %}
{% included (../../_includes/api/answer-issue.md:../../_includes/api/user.md) %}
| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the user | String |
| id | User ID. | String |
| display | Displayed user name | String |
| passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
| cloudUid | Unique user ID in Yandex Cloud Organization | String |

{% endincluded %}
{% included (../../_includes/api/answer-issue.md:../../_includes/api/sprint.md) %}
`Sprint` **array object fields** {#sprint}

| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the sprint. | String |
| id | Sprint ID. | String |
| display | Sprint name displayed. | String |
{% endincluded %}
{% included (../../_includes/api/answer-issue.md:../../_includes/api/type.md) %}
`type` **object fields** {#type}

| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the issue type. | String |
| id | Issue type ID | String |
| key | Issue type key. | String |
| display | Issue type name displayed. | String |
{% endincluded %}
{% included (../../_includes/api/answer-issue.md:../../_includes/api/priority.md) %}
`priority` **object fields** {#priority}

| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the priority. | String |
| id | Priority ID | String |
| key | Priority key. | String |
| display | Priority name displayed. | String |
{% endincluded %}
{% included (../../_includes/api/answer-issue.md:project.md) %}
# Project Request {#request}

| Parameter | Description | Data type |
-------- | -------- | ----------
| primary | ID of the main issue project (the `shortId` project field) | Number |
| secondary | IDs of additional issue projects (the `shortId` project field) | Array of numbers |

{% note info "" %}

If the request address specifies API `v2`, the `project` parameter can contain only the ID of the main project.

For example: `"project": 1234`

{% endnote %}

# Project Response {#response}

| Parameter | Description | Data type |
-------- | -------- | ----------
| [primary](#project-id) | Main issue project | Object |
| [secondary](#project-id) | List of additional issue projects | Array of objects |

{% note info "" %}

If the request address specifies API `v2`, the `project` object contains information only about the main project.

{% endnote %}

# Project ID {#project-id}

| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the project | String |
| id | Project ID | String |
| display | Project name displayed | String |


{% endincluded %}
{% included (../../_includes/api/answer-issue.md:../../_includes/api/queue.md) %}
| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the queue. | String |
| id | Queue ID. | String |
| key | Queue key. | String |
| display | Queue name displayed. | String |
{% endincluded %}
{% included (../../_includes/api/answer-issue.md:../../_includes/api/status.md) %}
| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the status. | String |
| id | Status ID. | String |
| key | Status key. | String |
| display | Status name displayed. | String |
{% endincluded %}